Bug 161692 - Drop legacy canvas.probablySupportsContext()
Summary: Drop legacy canvas.probablySupportsContext()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: WebExposed
Depends on:
Blocks:
 
Reported: 2016-09-07 09:21 PDT by Chris Dumez
Modified: 2016-09-07 10:23 PDT (History)
10 users (show)

See Also:


Attachments
Patch (21.56 KB, patch)
2016-09-07 09:42 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2016-09-07 09:21:56 PDT
Drop legacy canvas.probablySupportsContext() as it is no longer in the specification:
- https://html.spec.whatwg.org/#htmlcanvaselement

Firefox and Chrome do not support canvas.probablySupportsContext().
Comment 1 Chris Dumez 2016-09-07 09:42:46 PDT
Created attachment 288150 [details]
Patch
Comment 2 WebKit Commit Bot 2016-09-07 10:23:44 PDT
Comment on attachment 288150 [details]
Patch

Clearing flags on attachment: 288150

Committed r205554: <http://trac.webkit.org/changeset/205554>
Comment 3 WebKit Commit Bot 2016-09-07 10:23:49 PDT
All reviewed patches have been landed.  Closing bug.